# -*- encoding: utf-8 -*-
# stub: gcf 0.0.1 ruby lib

Gem::Specification.new do |s|
  s.name = "gcf".freeze
  s.version = "0.0.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Daniel Azuma".freeze]
  s.date = "2019-01-07"
  s.description = "The gcf gem is a set of classes, plugins, and tools for integration with Google Cloud Functions. It includes a high level interface for defining functions and integrating with common Ruby frameworks, and Ruby tools for local development and testing. This gem is not required to deploy your Ruby app to Cloud Functions.".freeze
  s.email = ["dazuma@gmail.com".freeze]
  s.homepage = "https://cloud.google.com/functions/".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.3.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Google Cloud Functions integration tools".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 2.0"])
    s.add_development_dependency(%q<minitest>.freeze, ["~> 5.0"])
    s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.4"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.62.0"])
    s.add_development_dependency(%q<toys>.freeze, ["~> 0.6"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.9"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 2.0"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.0"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.4"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.62.0"])
    s.add_dependency(%q<toys>.freeze, ["~> 0.6"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9"])
  end
end
